<?

/*

PStocks No-User example

Copyright (C) 1999 Dan Steinman (dan@dansteinman.com)

This is free software under the terms of the GNU General Public License

The regular PStocks script is a user-based system to be incorporated in my MyPortal
project, so that different users can have a different default list of stock quotes.

However the following example can be used on a regular website where a user-based system
is not needed.  You must create 1 user using the dplib-login.php3 script, and create the search
engine entries needed with the regular pstocks.php3 script.  Then use this script so that
you can put your custom search engine front-end into your website.  This is exactly what I did
for the demo on http://www.dansteinman.com/php/pstocks/pstocks-demo.php3

*/

include('dplib.php3');  // Dan's PHP Library
include('pstocks-class.php3');  // PStocks Class

function giveCookies() {
	global $username,$password;
	$t = time()+100*24*60*60;
	SetCookie("cusername",$username,$t);
	SetCookie("cpassword",$password,$t);
}

// -- DPLib: make a database connection ------------

$mysql = new MySQLDatabase;
$mysql->setHost('localhost');  // sql server host name
$mysql->setUsername('myuser');  // sql server username
$mysql->setPassword('mypass');  // sql server password
$mysql->select_db('myportal'); // select database to store info

/********************************
********************************/

// manually set these variables to the same as the dplib account that you created

$username = "guest";
$password = "guest";

/********************************
********************************/

if ($mysql->checkPassword($username,$password,null)) {
	giveCookies();
}
else die("error");

// -- PStocks ------------

$stocks = new PStocks;  // make instance of Pengines
$stocks->setDB($mysql);  // set the database connection

function printQuotes($quotes) {
	print '<table cellspacing=1 cellpadding=0 border=0 bgcolor=black><tr><td>';
	print '<table cellspacing=1 cellpadding=2 border=0 bgcolor=white>';
	print '<tr><td><b>Name</b></td><td><b>Symbol</b></td><td><b>Price</b></td><td><b>$&nbsp;Change</b></td><td><b>%&nbsp;Change</b></td><td><b>Date</b></td><td><b>Time</b></td></tr>';
	
	for ($i=0;$i<count($quotes);$i++) {
		$q = $quotes[$i];
		$symbol = $q['symbol'];
		$name = $q['name'];
		$price0 = $q['price0']; // today's price
		$price1 = $q['price1'];
		$price2 = $q['price2'];
		$dollarchange = $q['dchange'];
		$percentchange = $q['pchange'];
		$date = $q['date'];
		$time = $q['time'];
		$volume = $q['volume'];
		
		if ($dollarchange<0) $color = "red";
		else $color = "green";
		
		print "<tr><td>$name</td><td>$symbol</td><td>$price0</td><td><font color=$color>$dollarchange</font></td><td><font color=$color>$percentchange</font></td><td>$date</td><td>$time</td></tr>";
	}
	
	print '</table>';
	print '</td></tr></table>';
}

// -- PStocks: custom default page ------------
// if no command print a custom default page with the stock quotes that were saved
if (!$command) {
	print '<body bgcolor=white>';
	
	print '
	<form action=pstocks.php3>
	<input type=hidden name=command value=lookup>
	<b>Stock Quote Lookup</b>
	<br>enter stock symbols separated by spaces (find symbols on <a href="http://finance.yahoo.com/l" target=_blank>Yahoo Finance</a>):
	<br><input name=symbols size=25>
	<input type=submit>
	</form>
	
	<p><b>Your favourite stocks</b> (<a href="#">customize disabled</a>):
	<br>
	';
	
	$stocklist = $stocks->getSavedStocks();
	$quotes = $stocks->getQuotes($stocklist);
	printQuotes($quotes);
}

// -- PStocks: lookup stock quotes ------------
else if ($command=="lookup") {	
	print '<body bgcolor=white>';
	$symbollist = split(' ',$symbols);
	$stocklist = array();
	for ($i=0;$i<count($symbollist);$i++) {
		$s = $symbollist[$i];
		$stocklist[$s] = $s;
	}
	$quotes = $stocks->getQuotes($stocklist);
	printQuotes($quotes);
}

?>
